Name: junitperf
Version: 1.9.1
Release: alt1

Summary: JUnit extension for performance and scalability testing
License: BSD
Group: Development/Java
Source0: %name-%version.tar.bz2
Url: http://www.clarkware.com/software/JUnitPerf.html

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit
Requires: junit
BuildArch: noarch

%def_disable test

%description
JUnitPerf is a collection of JUnit test decorators used to measure the
performance and scalability of functionality contained within existing
JUnit tests.

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc for %name.

%package demo
Group: Development/Java
Summary: Demos for %name
Requires: %name = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n %name-%version
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/junit.jar
%ant_build jar javadoc test-samples
%if_enabled test
%__ant test
%endif

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name}

# jars
%__cp -p dist/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -pr build/docs/api/* %buildroot%_javadocdir/%name

# demo
%__cp -pr samples %buildroot%_datadir/%name

%files
%defattr(0644,root,root,0755)
%doc LICENSE CHANGES README docs/JUnitPerf.html
%_javadir/*

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files demo
%defattr(0644,root,root,0755)
%_datadir/%name

%changelog
* Mon Apr 25 2005 Vladimir Lettiev <crux@altlinux.ru> 1.9.1-alt1
- Initial build for ALT Linux Sisyphus

